

<!DOCTYPE html>
<html class="writer-html5" lang="en" >
<head>
  <meta charset="utf-8" />
  
  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  
  <title>&lt;no title&gt; &mdash; posydon 0+untagged.3754.gf69f455.dirty documentation</title>
  

  
  <link rel="stylesheet" href="../_static/css/theme.css" type="text/css" />
  <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />

  
  

  
  

  

  
  <!--[if lt IE 9]>
    <script src="../_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
    
      <script type="text/javascript" id="documentation_options" data-url_root="../" src="../_static/documentation_options.js"></script>
        <script src="../_static/jquery.js"></script>
        <script src="../_static/underscore.js"></script>
        <script src="../_static/doctools.js"></script>
        <script src="../_static/language_data.js"></script>
    
    <script type="text/javascript" src="../_static/js/theme.js"></script>

    
    <link rel="index" title="Index" href="../genindex.html" />
    <link rel="search" title="Search" href="../search.html" /> 
</head>

<body class="wy-body-for-nav">

   
  <div class="wy-grid-for-nav">
    
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >
          

          
            <a href="../index.html" class="icon icon-home"> posydon
          

          
          </a>

          
            
            
              <div class="version">
                0+untagged.3754.gf69f455.dirty
              </div>
            
          

          
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="../search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>

          
        </div>

        
        <div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="main navigation">
          
            
            
              
            
            
              <ul>
<li class="toctree-l1"><a class="reference internal" href="../install/index.html">Installation</a></li>
<li class="toctree-l1"><a class="reference internal" href="../run_mesa_grids/inifile.html">Configuration files for POSYDON</a></li>
<li class="toctree-l1"><a class="reference internal" href="../run_mesa_grids/dynamic/dynamic.html">Run a Dynamic MESA Grid</a></li>
<li class="toctree-l1"><a class="reference internal" href="../run_mesa_grids/fixed/fixed.html">Run a Fixed MESA Grid</a></li>
<li class="toctree-l1"><a class="reference internal" href="../PSyGrid/PSyGrid.html">The PSyGrid Object</a></li>
<li class="toctree-l1"><a class="reference internal" href="../PSyGrid/plot2D/plot2D.html">Showcase of 2D plotting functionalities</a></li>
<li class="toctree-l1"><a class="reference internal" href="../PSyGrid/plot1D/plot1D.html">Showcase of 1D plotting functionalities</a></li>
<li class="toctree-l1"><a class="reference internal" href="../SingleStar/SingleStar.html">The Single Star Object</a></li>
<li class="toctree-l1"><a class="reference internal" href="../BinaryStar/BinaryStar.html">The Binary Star Object</a></li>
<li class="toctree-l1"><a class="reference internal" href="../visualization/VH_diagram.html">Van den Heuvel diagrams</a></li>
</ul>

            
          
        </div>
        
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap">

      
      <nav class="wy-nav-top" aria-label="top navigation">
        
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="../index.html">posydon</a>
        
      </nav>


      <div class="wy-nav-content">
        
        <div class="rst-content">
        
          

















<div role="navigation" aria-label="breadcrumbs navigation">

  <ul class="wy-breadcrumbs">
    
      <li><a href="../index.html" class="icon icon-home"></a> &raquo;</li>
        
      <li>&lt;no title&gt;</li>
    
    
      <li class="wy-breadcrumbs-aside">
        
          
            <a href="../_sources/api/posydon.interpolation.interpolation.rst.txt" rel="nofollow"> View page source</a>
          
        
      </li>
    
  </ul>

  
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
            
  <span class="target" id="module-posydon.interpolation.interpolation"></span><dl class="py function">
<dt id="posydon.interpolation.interpolation.GPInterp">
<code class="sig-prename descclassname">posydon.interpolation.interpolation.</code><code class="sig-name descname">GPInterp</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">X</span></em>, <em class="sig-param"><span class="n">Y</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/interpolation/interpolation.html#GPInterp"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.interpolation.interpolation.GPInterp" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py function">
<dt id="posydon.interpolation.interpolation.GPbinClass">
<code class="sig-prename descclassname">posydon.interpolation.interpolation.</code><code class="sig-name descname">GPbinClass</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">X</span></em>, <em class="sig-param"><span class="n">y</span></em>, <em class="sig-param"><span class="o">**</span><span class="n">options</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/interpolation/interpolation.html#GPbinClass"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.interpolation.interpolation.GPbinClass" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py class">
<dt id="posydon.interpolation.interpolation.GRIDInterpolator">
<em class="property">class </em><code class="sig-prename descclassname">posydon.interpolation.interpolation.</code><code class="sig-name descname">GRIDInterpolator</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">path</span></em>, <em class="sig-param"><span class="n">verbose</span><span class="o">=</span><span class="default_value">False</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/interpolation/interpolation.html#GRIDInterpolator"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.interpolation.interpolation.GRIDInterpolator" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference external" href="https://docs.python.org/3/library/functions.html#object" title="(in Python v3.9)"><code class="xref py py-class docutils literal notranslate"><span class="pre">object</span></code></a></p>
<p>Class to interpolate between single star MESA tracks.</p>
<dl class="py attribute">
<dt id="posydon.interpolation.interpolation.GRIDInterpolator.path">
<code class="sig-name descname">path</code><a class="headerlink" href="#posydon.interpolation.interpolation.GRIDInterpolator.path" title="Permalink to this definition">¶</a></dt>
<dd><p>The path to the directory that contains the h5 grid.</p>
<dl class="field-list simple">
<dt class="field-odd">Type</dt>
<dd class="field-odd"><p><a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#str" title="(in Python v3.9)">str</a></p>
</dd>
</dl>
</dd></dl>

<dl class="py attribute">
<dt id="posydon.interpolation.interpolation.GRIDInterpolator.keys">
<code class="sig-name descname">keys</code><a class="headerlink" href="#posydon.interpolation.interpolation.GRIDInterpolator.keys" title="Permalink to this definition">¶</a></dt>
<dd><p>Contains valid keys for accessing the data.</p>
<dl class="field-list simple">
<dt class="field-odd">Type</dt>
<dd class="field-odd"><p>tuple of str</p>
</dd>
</dl>
</dd></dl>

<dl class="py method">
<dt id="posydon.interpolation.interpolation.GRIDInterpolator.get">
<code class="sig-name descname">get</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">key</span></em>, <em class="sig-param"><span class="n">M_new</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/interpolation/interpolation.html#GRIDInterpolator.get"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.interpolation.interpolation.GRIDInterpolator.get" title="Permalink to this definition">¶</a></dt>
<dd><p>Performs linear interpolation between specific time-series.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>key</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#str" title="(in Python v3.9)"><em>str</em></a>) – The specific time-series described by the key.
Valid keys are in the <cite>keys</cite> attribute.</p></li>
<li><p><strong>M_new</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#float" title="(in Python v3.9)"><em>float</em></a>) – The associated initial mass
which time-series requires interpolation.</p></li>
</ul>
</dd>
<dt class="field-even">Returns</dt>
<dd class="field-even"><p>The interpolated ZAMS time-series specified by <cite>key</cite>
associated with the initial mass <cite>M_new</cite>.</p>
</dd>
<dt class="field-odd">Return type</dt>
<dd class="field-odd"><p>ndarray</p>
</dd>
</dl>
</dd></dl>

<dl class="py method">
<dt id="posydon.interpolation.interpolation.GRIDInterpolator.get_masses_gridfiles">
<code class="sig-name descname">get_masses_gridfiles</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/interpolation/interpolation.html#GRIDInterpolator.get_masses_gridfiles"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.interpolation.interpolation.GRIDInterpolator.get_masses_gridfiles" title="Permalink to this definition">¶</a></dt>
<dd><p>Returns the masses of the grid files</p>
<dl class="field-list simple">
<dt class="field-odd">Returns</dt>
<dd class="field-odd"><p></p>
</dd>
<dt class="field-even">Return type</dt>
<dd class="field-even"><p>list of floats</p>
</dd>
</dl>
</dd></dl>

<dl class="py method">
<dt id="posydon.interpolation.interpolation.GRIDInterpolator.load_grid">
<code class="sig-name descname">load_grid</code><span class="sig-paren">(</span><em class="sig-param"><span class="o">*</span><span class="n">args</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/interpolation/interpolation.html#GRIDInterpolator.load_grid"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.interpolation.interpolation.GRIDInterpolator.load_grid" title="Permalink to this definition">¶</a></dt>
<dd><p>Loads the requested data to <cite>grid_data</cite>.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><p><strong>*args</strong> – Associated initial masses
which corresponding data should be loaded.</p>
</dd>
</dl>
</dd></dl>

</dd></dl>

<dl class="py class">
<dt id="posydon.interpolation.interpolation.Interpolator">
<em class="property">class </em><code class="sig-prename descclassname">posydon.interpolation.interpolation.</code><code class="sig-name descname">Interpolator</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">grid</span><span class="o">=</span><span class="default_value">None</span></em>, <em class="sig-param"><span class="n">in_keys</span><span class="o">=</span><span class="default_value">None</span></em>, <em class="sig-param"><span class="n">out_keys</span><span class="o">=</span><span class="default_value">None</span></em>, <em class="sig-param"><span class="n">in_scaling</span><span class="o">=</span><span class="default_value">None</span></em>, <em class="sig-param"><span class="n">out_scaling</span><span class="o">=</span><span class="default_value">None</span></em>, <em class="sig-param"><span class="n">filename</span><span class="o">=</span><span class="default_value">None</span></em>, <em class="sig-param"><span class="n">interp_method</span><span class="o">=</span><span class="default_value">'linear'</span></em>, <em class="sig-param"><span class="n">test_grid</span><span class="o">=</span><span class="default_value">None</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/interpolation/interpolation.html#Interpolator"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.interpolation.interpolation.Interpolator" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference external" href="https://docs.python.org/3/library/functions.html#object" title="(in Python v3.9)"><code class="xref py py-class docutils literal notranslate"><span class="pre">object</span></code></a></p>
<p>Interpolation class.</p>
<p>Constructor of psyInterp class. It allows multiple initializations.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>grid</strong> (<a class="reference internal" href="posydon.grids.psygrid.html#posydon.grids.psygrid.PSyGrid" title="posydon.grids.psygrid.PSyGrid"><em>posydon.grids.psygrid.PSyGrid</em></a>) – PSyGrid object that defines the training set for the interpolation model.</p></li>
<li><p><strong>in_keys</strong> (<em>list of str</em><em> or </em><em>tuple of str</em>) – <dl class="simple">
<dt>list of names of initial binary magnitudes that will be used as input for the initial-final interpolation</dt><dd><p>problem.</p>
</dd>
</dl>
</p></li>
<li><p><strong>out_keys</strong> (<em>list of str</em><em> or </em><em>tuple of str</em>) – list of names of final binary magnitudes that we want to interpolate.</p></li>
<li><p><strong>in_scaling</strong> (<em>list of str</em><em> or </em><em>tuple of str</em>) – <dl class="simple">
<dt>list of scaling methods for each of the in_keys (if not specified, ‘standarize’ or ‘log_standarize’ will be</dt><dd><p>selected depending on the distribution of the data.</p>
</dd>
</dl>
</p></li>
<li><p><strong>out_scaling</strong> (<em>list of str</em><em> or </em><em>tuple of str</em>) – list of scaling methods for each of the in_keys (if not specified, ‘standarize’ will be applied)</p></li>
<li><p><strong>filename</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#str" title="(in Python v3.9)"><em>str</em></a>) – name of the ‘.pkl’ file to be loaded. If filename is specified, all other parameters will be disregarded.</p></li>
<li><p><strong>test_grid</strong> (<a class="reference internal" href="posydon.grids.psygrid.html#posydon.grids.psygrid.PSyGrid" title="posydon.grids.psygrid.PSyGrid"><em>posydon.grids.psygrid.PSyGrid</em></a>) – <dl class="simple">
<dt>PSyGrid object that defines the test set for the interpolation model. If given, linear interpolation will</dt><dd><p>be automatically trained and the best scaling methods for each output column will be chosen.</p>
</dd>
</dl>
</p></li>
</ul>
</dd>
</dl>
<p class="rubric">Examples</p>
<div class="doctest highlight-default notranslate"><div class="highlight"><pre><span></span><span class="gp">&gt;&gt;&gt; </span><span class="c1"># Basic initialization</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">m</span> <span class="o">=</span> <span class="n">psyInterp</span><span class="p">(</span><span class="n">grid</span><span class="o">=</span><span class="n">grid</span><span class="p">,</span> <span class="n">in_keys</span><span class="o">=</span><span class="p">[</span><span class="s1">&#39;star_1_mass&#39;</span><span class="p">,</span> <span class="s1">&#39;star_2_mass&#39;</span><span class="p">,</span> <span class="s1">&#39;period_days&#39;</span><span class="p">],</span> <span class="n">out_keys</span><span class="o">=</span><span class="p">[</span><span class="s1">&#39;star_1_mass&#39;</span><span class="p">],</span>
<span class="go"> in_scaling=[min_max]*3, out_scaling=[&#39;standarize&#39;])</span>
<span class="gp">&gt;&gt;&gt; </span><span class="c1"># Auto in_scaling</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">m</span> <span class="o">=</span> <span class="n">psyInterp</span><span class="p">(</span><span class="n">grid</span><span class="o">=</span><span class="n">grid</span><span class="p">,</span> <span class="n">in_keys</span><span class="o">=</span><span class="p">[</span><span class="s1">&#39;star_1_mass&#39;</span><span class="p">,</span> <span class="s1">&#39;star_2_mass&#39;</span><span class="p">,</span> <span class="s1">&#39;period_days&#39;</span><span class="p">],</span> <span class="n">out_keys</span><span class="o">=</span><span class="p">[</span><span class="s1">&#39;star_1_mass&#39;</span><span class="p">],</span>
<span class="go"> in_scaling=[min_max]*3, out_scaling=[&#39;standarize&#39;])</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">m</span> <span class="o">=</span> <span class="n">psyInterp</span><span class="p">(</span><span class="n">grid</span><span class="o">=</span><span class="n">grid</span><span class="p">,</span> <span class="n">test_grid</span><span class="o">=</span><span class="n">grid_t</span><span class="p">)</span>
<span class="gp">&gt;&gt;&gt; </span><span class="c1"># Load a preexisting model</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">m</span> <span class="o">=</span> <span class="n">psyInterp</span><span class="p">(</span><span class="n">filename</span><span class="o">=</span><span class="s1">&#39;model_BH_He.pkl&#39;</span><span class="p">)</span>
</pre></div>
</div>
<dl class="py method">
<dt id="posydon.interpolation.interpolation.Interpolator.GPclass_predict">
<code class="sig-name descname">GPclass_predict</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">Xt</span></em>, <em class="sig-param"><span class="n">tflag</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/interpolation/interpolation.html#Interpolator.GPclass_predict"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.interpolation.interpolation.Interpolator.GPclass_predict" title="Permalink to this definition">¶</a></dt>
<dd><p>Test method associated with self.GPclass_train.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>Xt</strong> (<a class="reference external" href="https://numpy.org/doc/stable/reference/generated/numpy.ndarray.html#numpy.ndarray" title="(in NumPy v1.20)"><em>numpy.ndarray</em></a>) – test binary</p></li>
<li><p><strong>tflag</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#int" title="(in Python v3.9)"><em>int</em></a>) – termination flag number (1 to 3)</p></li>
</ul>
</dd>
<dt class="field-even">Returns</dt>
<dd class="field-even"><p>Vector of predicted labels.</p>
</dd>
<dt class="field-odd">Return type</dt>
<dd class="field-odd"><p>np.ndarray</p>
</dd>
</dl>
</dd></dl>

<dl class="py method">
<dt id="posydon.interpolation.interpolation.Interpolator.GPclass_train">
<code class="sig-name descname">GPclass_train</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">labels</span></em>, <em class="sig-param"><span class="n">tflag</span></em>, <em class="sig-param"><span class="n">model</span><span class="o">=</span><span class="default_value">'sparse'</span></em>, <em class="sig-param"><span class="o">**</span><span class="n">options</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/interpolation/interpolation.html#Interpolator.GPclass_train"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.interpolation.interpolation.Interpolator.GPclass_train" title="Permalink to this definition">¶</a></dt>
<dd><p>Train method for a general purpose classifier based on GP.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>labels</strong> (<a class="reference external" href="https://numpy.org/doc/stable/reference/generated/numpy.ndarray.html#numpy.ndarray" title="(in NumPy v1.20)"><em>numpy.ndarray</em></a>) – vector of labels</p></li>
<li><p><strong>tflag</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#int" title="(in Python v3.9)"><em>int</em></a>) – termination flag number (1 to 3)</p></li>
<li><p><strong>options</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#dict" title="(in Python v3.9)"><em>dict</em></a>) – train parameters for GP classification</p></li>
</ul>
</dd>
</dl>
</dd></dl>

<dl class="py method">
<dt id="posydon.interpolation.interpolation.Interpolator.evaluate">
<code class="sig-name descname">evaluate</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">binary</span></em>, <em class="sig-param"><span class="n">interp_method</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/interpolation/interpolation.html#Interpolator.evaluate"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.interpolation.interpolation.Interpolator.evaluate" title="Permalink to this definition">¶</a></dt>
<dd><p>Performs interpolation for a given binary .</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><p><strong>binary</strong> (<a class="reference external" href="https://numpy.org/doc/stable/reference/generated/numpy.ndarray.html#numpy.ndarray" title="(in NumPy v1.20)"><em>numpy.ndarray</em></a>) – A Posydon binary.</p>
</dd>
<dt class="field-even">Returns</dt>
<dd class="field-even"><p>tuple of 3 elements. 1. dictionary of output magnitude values, 2. probability if belonging to an interpolable
class, 3. classification labels [interpolation_class, termination_flag_2]</p>
</dd>
<dt class="field-odd">Return type</dt>
<dd class="field-odd"><p>(<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#dict" title="(in Python v3.9)">dict</a>, <a class="reference external" href="https://docs.python.org/3/library/functions.html#float" title="(in Python v3.9)">float</a>, list of str)</p>
</dd>
</dl>
</dd></dl>

<dl class="py method">
<dt id="posydon.interpolation.interpolation.Interpolator.load">
<code class="sig-name descname">load</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">filename</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/interpolation/interpolation.html#Interpolator.load"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.interpolation.interpolation.Interpolator.load" title="Permalink to this definition">¶</a></dt>
<dd><p>Load interpolation model. The loaded model can only be used for predictions.</p>
<dl class="simple">
<dt>filename<span class="classifier">str</span></dt><dd><p>path/name of pickle file to be loaded.</p>
</dd>
</dl>
</dd></dl>

<dl class="py method">
<dt id="posydon.interpolation.interpolation.Interpolator.save">
<code class="sig-name descname">save</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">filename</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/interpolation/interpolation.html#Interpolator.save"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.interpolation.interpolation.Interpolator.save" title="Permalink to this definition">¶</a></dt>
<dd><p>Save complete interpolation model.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><p><strong>filename</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#str" title="(in Python v3.9)"><em>str</em></a>) – path/name of ‘.pkl’ file where the model will be saved.</p>
</dd>
</dl>
</dd></dl>

<dl class="py method">
<dt id="posydon.interpolation.interpolation.Interpolator.test">
<code class="sig-name descname">test</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">Xt</span></em>, <em class="sig-param"><span class="n">method</span></em>, <em class="sig-param"><span class="n">out_of_hull</span><span class="o">=</span><span class="default_value">'1NN'</span></em>, <em class="sig-param"><span class="n">verbose</span><span class="o">=</span><span class="default_value">False</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/interpolation/interpolation.html#Interpolator.test"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.interpolation.interpolation.Interpolator.test" title="Permalink to this definition">¶</a></dt>
<dd><p>Main test function. Indicated interpolation method will be used to interpolate each of the rows on Xt.
Interpolated values plus valid probabiblity, if applies, will be returned.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>Xt</strong> (<a class="reference external" href="https://numpy.org/doc/stable/reference/generated/numpy.ndarray.html#numpy.ndarray" title="(in NumPy v1.20)"><em>numpy.ndarray</em></a>) – 2D matrix of self.n_in columns at least one row containing the new binaries where we want to interpolate.</p></li>
<li><p><strong>method</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#str" title="(in Python v3.9)"><em>str</em></a>) – interpolation method: ‘linear’, ‘RBF’, ‘GP’ or ‘SGP’.</p></li>
<li><p><strong>out_of_hull</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#str" title="(in Python v3.9)"><em>str</em></a>) – interpolation method for points outside convex hull applied when linear interp is selected. If ‘none’, the
predicted values will be nan. valid options: ‘RBF’, ‘GP’. These methods should be pretrained.</p></li>
</ul>
</dd>
<dt class="field-even">Returns</dt>
<dd class="field-even"><p>tuple of 2 elements. The first one is a matrix with the same number of rows as XT with the interpolating values.
The second, the probability of each of this binaries of being in the class ‘valid. If valid labels not specified, it will be -1.</p>
</dd>
<dt class="field-odd">Return type</dt>
<dd class="field-odd"><p>(<a class="reference external" href="https://numpy.org/doc/stable/reference/generated/numpy.ndarray.html#numpy.ndarray" title="(in NumPy v1.20)">numpy.ndarray</a>,<a class="reference external" href="https://numpy.org/doc/stable/reference/generated/numpy.ndarray.html#numpy.ndarray" title="(in NumPy v1.20)">numpy.ndarray</a>)</p>
</dd>
</dl>
</dd></dl>

<dl class="py method">
<dt id="posydon.interpolation.interpolation.Interpolator.test_GP">
<code class="sig-name descname">test_GP</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">ind</span></em>, <em class="sig-param"><span class="n">Xt</span></em>, <em class="sig-param"><span class="n">correction</span><span class="o">=</span><span class="default_value">True</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/interpolation/interpolation.html#Interpolator.test_GP"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.interpolation.interpolation.Interpolator.test_GP" title="Permalink to this definition">¶</a></dt>
<dd><p>Tests SGP method for ind-th output.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>ind</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#int" title="(in Python v3.9)"><em>int</em></a>) – index of output for which the model will be trained</p></li>
<li><p><strong>Xt</strong> (<a class="reference external" href="https://numpy.org/doc/stable/reference/generated/numpy.ndarray.html#numpy.ndarray" title="(in NumPy v1.20)"><em>numpy.ndarray</em></a>) – data matrix [n x self.n_in] with the input coordinates of the binaries to interpolate</p></li>
</ul>
</dd>
<dt class="field-even">Returns</dt>
<dd class="field-even"><p>interpolated values in the unnormalized space</p>
</dd>
<dt class="field-odd">Return type</dt>
<dd class="field-odd"><p><a class="reference external" href="https://numpy.org/doc/stable/reference/generated/numpy.ndarray.html#numpy.ndarray" title="(in NumPy v1.20)">numpy.ndarray</a></p>
</dd>
</dl>
</dd></dl>

<dl class="py method">
<dt id="posydon.interpolation.interpolation.Interpolator.test_NN">
<code class="sig-name descname">test_NN</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">Xt</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/interpolation/interpolation.html#Interpolator.test_NN"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.interpolation.interpolation.Interpolator.test_NN" title="Permalink to this definition">¶</a></dt>
<dd><p>This function performs NN interpolation for a given binary or set of binaries.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><p><strong>Xt</strong> (<a class="reference external" href="https://numpy.org/doc/stable/reference/generated/numpy.ndarray.html#numpy.ndarray" title="(in NumPy v1.20)"><em>numpy.ndarray</em></a>) – 2D numpy ndarray with at least one row (binary)</p>
</dd>
<dt class="field-even">Returns</dt>
<dd class="field-even"><p>row vector of length self.n_out with the interpolated quantities</p>
</dd>
<dt class="field-odd">Return type</dt>
<dd class="field-odd"><p><a class="reference external" href="https://numpy.org/doc/stable/reference/generated/numpy.ndarray.html#numpy.ndarray" title="(in NumPy v1.20)">numpy.ndarray</a></p>
</dd>
</dl>
</dd></dl>

<dl class="py method">
<dt id="posydon.interpolation.interpolation.Interpolator.test_RBF">
<code class="sig-name descname">test_RBF</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">Xt</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/interpolation/interpolation.html#Interpolator.test_RBF"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.interpolation.interpolation.Interpolator.test_RBF" title="Permalink to this definition">¶</a></dt>
<dd><p>This function performs RBF interpolation for a given binary or set of binaries.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><p><strong>Xt</strong> (<a class="reference external" href="https://numpy.org/doc/stable/reference/generated/numpy.ndarray.html#numpy.ndarray" title="(in NumPy v1.20)"><em>numpy.ndarray</em></a>) – 2D numpy ndarray with at least one row (binary)</p>
</dd>
<dt class="field-even">Returns</dt>
<dd class="field-even"><p>row vector of length self.n_out with the interpolated quantities</p>
</dd>
<dt class="field-odd">Return type</dt>
<dd class="field-odd"><p><a class="reference external" href="https://numpy.org/doc/stable/reference/generated/numpy.ndarray.html#numpy.ndarray" title="(in NumPy v1.20)">numpy.ndarray</a></p>
</dd>
</dl>
</dd></dl>

<dl class="py method">
<dt id="posydon.interpolation.interpolation.Interpolator.test_lin">
<code class="sig-name descname">test_lin</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">Xt</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/interpolation/interpolation.html#Interpolator.test_lin"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.interpolation.interpolation.Interpolator.test_lin" title="Permalink to this definition">¶</a></dt>
<dd><p>This function performs linear interpolation for a given binary or set of binaries.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><p><strong>Xt</strong> (<a class="reference external" href="https://numpy.org/doc/stable/reference/generated/numpy.ndarray.html#numpy.ndarray" title="(in NumPy v1.20)"><em>numpy.ndarray</em></a>) – 2D numpy ndarray with at least one row (binary)</p>
</dd>
<dt class="field-even">Returns</dt>
<dd class="field-even"><p>row vector of length self.n_out with the interpolated quantities</p>
</dd>
<dt class="field-odd">Return type</dt>
<dd class="field-odd"><p><a class="reference external" href="https://numpy.org/doc/stable/reference/generated/numpy.ndarray.html#numpy.ndarray" title="(in NumPy v1.20)">numpy.ndarray</a></p>
</dd>
</dl>
</dd></dl>

<dl class="py method">
<dt id="posydon.interpolation.interpolation.Interpolator.train">
<code class="sig-name descname">train</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">method</span></em>, <em class="sig-param"><span class="n">indices</span><span class="o">=</span><span class="default_value">None</span></em>, <em class="sig-param"><span class="o">**</span><span class="n">options</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/interpolation/interpolation.html#Interpolator.train"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.interpolation.interpolation.Interpolator.train" title="Permalink to this definition">¶</a></dt>
<dd><p>Main train function. The chosen interpolation method will be trained on the whole training set unless valid binaries have been labelled first.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>method</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#str" title="(in Python v3.9)"><em>str</em></a>) – interpolation method: ‘linear’, ‘RBF’, ‘GP’ or ‘SGP’.</p></li>
<li><p><strong>indices</strong> (<em>list of int</em>) – indices of outputs where GP/SGP will be trained. If not specified, all will be trained.
If a test grid has been provided, when retraining a GP interpolator, the new model will only be kept if it’s better than the previous trained one.</p></li>
<li><p><strong>options</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#dict" title="(in Python v3.9)"><em>dict</em></a>) – Options used to train a GP interpolator.</p></li>
</ul>
</dd>
</dl>
</dd></dl>

<dl class="py method">
<dt id="posydon.interpolation.interpolation.Interpolator.trainGP">
<code class="sig-name descname">trainGP</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">ind</span></em>, <em class="sig-param"><span class="o">**</span><span class="n">options</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/interpolation/interpolation.html#Interpolator.trainGP"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.interpolation.interpolation.Interpolator.trainGP" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt id="posydon.interpolation.interpolation.Interpolator.trainSGP">
<code class="sig-name descname">trainSGP</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">ind</span></em>, <em class="sig-param"><span class="o">**</span><span class="n">options</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/interpolation/interpolation.html#Interpolator.trainSGP"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.interpolation.interpolation.Interpolator.trainSGP" title="Permalink to this definition">¶</a></dt>
<dd><p>Trains SGP method for ind-th output.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>ind</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#int" title="(in Python v3.9)"><em>int</em></a>) – index of output for which the model will be trained</p></li>
<li><p><strong>options</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#dict" title="(in Python v3.9)"><em>dict</em></a>) – traing parameters for GP interpolation</p></li>
</ul>
</dd>
<dt class="field-even">Returns</dt>
<dd class="field-even"><p></p>
</dd>
<dt class="field-odd">Return type</dt>
<dd class="field-odd"><p>(gpflow.models.SGPR, LinearNDInterpolator)</p>
</dd>
</dl>
</dd></dl>

<dl class="py method">
<dt id="posydon.interpolation.interpolation.Interpolator.train_RBF">
<code class="sig-name descname">train_RBF</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/interpolation/interpolation.html#Interpolator.train_RBF"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.interpolation.interpolation.Interpolator.train_RBF" title="Permalink to this definition">¶</a></dt>
<dd><p>This function trains an RBF interpolation using the predefined scalers on the full training dataset or in the
binaries specified as valid.
The resulting model is saved at self.interp.</p>
</dd></dl>

<dl class="py method">
<dt id="posydon.interpolation.interpolation.Interpolator.train_classifier">
<code class="sig-name descname">train_classifier</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">grid</span></em>, <em class="sig-param"><span class="n">key</span></em>, <em class="sig-param"><span class="n">method</span><span class="o">=</span><span class="default_value">'kNN'</span></em>, <em class="sig-param"><span class="o">**</span><span class="n">options</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/interpolation/interpolation.html#Interpolator.train_classifier"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.interpolation.interpolation.Interpolator.train_classifier" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt id="posydon.interpolation.interpolation.Interpolator.train_classifiers">
<code class="sig-name descname">train_classifiers</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">grid</span></em>, <em class="sig-param"><span class="n">method</span><span class="o">=</span><span class="default_value">'kNN'</span></em>, <em class="sig-param"><span class="o">**</span><span class="n">options</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/interpolation/interpolation.html#Interpolator.train_classifiers"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.interpolation.interpolation.Interpolator.train_classifiers" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt id="posydon.interpolation.interpolation.Interpolator.train_interp_class_classifier">
<code class="sig-name descname">train_interp_class_classifier</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">method</span><span class="o">=</span><span class="default_value">'kNN'</span></em>, <em class="sig-param"><span class="o">**</span><span class="n">options</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/interpolation/interpolation.html#Interpolator.train_interp_class_classifier"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.interpolation.interpolation.Interpolator.train_interp_class_classifier" title="Permalink to this definition">¶</a></dt>
<dd><p>Train a classifier for interpolation_class</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>options</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#dict" title="(in Python v3.9)"><em>dict</em></a>) – Dictionary of parameters for chosen method.</p></li>
<li><p><strong>method</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#str" title="(in Python v3.9)"><em>str</em></a>) – Classification method: kNN (default) or NN</p></li>
</ul>
</dd>
</dl>
</dd></dl>

<dl class="py method">
<dt id="posydon.interpolation.interpolation.Interpolator.train_lin">
<code class="sig-name descname">train_lin</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/interpolation/interpolation.html#Interpolator.train_lin"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.interpolation.interpolation.Interpolator.train_lin" title="Permalink to this definition">¶</a></dt>
<dd><p>This function trains a linear interpolation using the predefined scalars on the full training data set or in the
binaries specified as valid.
The resulting model is saved at self.interp.</p>
</dd></dl>

<dl class="py method">
<dt id="posydon.interpolation.interpolation.Interpolator.train_tflag_classifier">
<code class="sig-name descname">train_tflag_classifier</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">method</span><span class="o">=</span><span class="default_value">'kNN'</span></em>, <em class="sig-param"><span class="o">**</span><span class="n">options</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/interpolation/interpolation.html#Interpolator.train_tflag_classifier"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.interpolation.interpolation.Interpolator.train_tflag_classifier" title="Permalink to this definition">¶</a></dt>
<dd><p>Train a classifier for interpolation_class</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>options</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#dict" title="(in Python v3.9)"><em>dict</em></a>) – Dictionary of parameters for chosen method.</p></li>
<li><p><strong>method</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#str" title="(in Python v3.9)"><em>str</em></a>) – Classification method: kNN (default) or NN</p></li>
</ul>
</dd>
</dl>
</dd></dl>

</dd></dl>

<dl class="py function">
<dt id="posydon.interpolation.interpolation.KNNClassifierXvalTrain">
<code class="sig-prename descclassname">posydon.interpolation.interpolation.</code><code class="sig-name descname">KNNClassifierXvalTrain</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">X</span></em>, <em class="sig-param"><span class="n">y</span></em>, <em class="sig-param"><span class="o">**</span><span class="n">opts</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/interpolation/interpolation.html#KNNClassifierXvalTrain"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.interpolation.interpolation.KNNClassifierXvalTrain" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py class">
<dt id="posydon.interpolation.interpolation.MISTInterpolator">
<em class="property">class </em><code class="sig-prename descclassname">posydon.interpolation.interpolation.</code><code class="sig-name descname">MISTInterpolator</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">eep_path</span></em>, <em class="sig-param"><span class="n">eep_version</span><span class="o">=</span><span class="default_value">'POSYDON'</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/interpolation/interpolation.html#MISTInterpolator"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.interpolation.interpolation.MISTInterpolator" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference external" href="https://docs.python.org/3/library/functions.html#object" title="(in Python v3.9)"><code class="xref py py-class docutils literal notranslate"><span class="pre">object</span></code></a></p>
<p>Class to interpolate between MIST tracks.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>eep_path</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#str" title="(in Python v3.9)"><em>str</em></a>) – The path to the directory that contains the MIST-like grid.
It is assumed that the data are formatted in a specific way
see <cite>get</cite> method.
The data files should have “eep” as extensions</p></li>
<li><p><strong>eep_version</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#str" title="(in Python v3.9)"><em>str</em></a>) – <p>The version of eep files, so that we know the keys we can extract and
translation of these keys to the headers of the eep_files.
Option:
“POSYDON” (Def): POSYDON EEPs
“POSYDON_SepF2F”: older POSYDON EEPs</p>
<blockquote>
<div><p>(without information for the important convective region for tides and avg_c_in_c_core)</p>
</div></blockquote>
<p>”MIST”: official MIST EEPs
“MIST+conv”: as above + ‘conv_mx1_top’,’conv_mx1_bot’, ‘conv_mx1_top_r’, ‘conv_mx1_bot_r’
“MIST+conv+colors+inertia”: As the above + moment of inertia+colors</p>
</p></li>
</ul>
</dd>
</dl>
<dl class="py attribute">
<dt id="posydon.interpolation.interpolation.MISTInterpolator.eep_path">
<code class="sig-name descname">eep_path</code><a class="headerlink" href="#posydon.interpolation.interpolation.MISTInterpolator.eep_path" title="Permalink to this definition">¶</a></dt>
<dd><p>The path to the directory that contains the MIST-like grid.</p>
<dl class="field-list simple">
<dt class="field-odd">Type</dt>
<dd class="field-odd"><p><a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#str" title="(in Python v3.9)">str</a></p>
</dd>
</dl>
</dd></dl>

<dl class="py attribute">
<dt id="posydon.interpolation.interpolation.MISTInterpolator.eep_files">
<code class="sig-name descname">eep_files</code><a class="headerlink" href="#posydon.interpolation.interpolation.MISTInterpolator.eep_files" title="Permalink to this definition">¶</a></dt>
<dd><p>Contains the name of the data files.</p>
<dl class="field-list simple">
<dt class="field-odd">Type</dt>
<dd class="field-odd"><p>list of str</p>
</dd>
</dl>
</dd></dl>

<dl class="py attribute">
<dt id="posydon.interpolation.interpolation.MISTInterpolator.eep_mass">
<code class="sig-name descname">eep_mass</code><a class="headerlink" href="#posydon.interpolation.interpolation.MISTInterpolator.eep_mass" title="Permalink to this definition">¶</a></dt>
<dd><p>Contains the initial mass corresponding to the different tracks.</p>
<dl class="field-list simple">
<dt class="field-odd">Type</dt>
<dd class="field-odd"><p>list of float</p>
</dd>
</dl>
</dd></dl>

<dl class="py attribute">
<dt id="posydon.interpolation.interpolation.MISTInterpolator.eep_data">
<code class="sig-name descname">eep_data</code><a class="headerlink" href="#posydon.interpolation.interpolation.MISTInterpolator.eep_data" title="Permalink to this definition">¶</a></dt>
<dd><p>Contains the the data.
The data can be accessed as <cite>eep_data[m0][key]</cite> where <cite>m0</cite>
is the initial mass and <cite>key</cite> is the requested quantity.
Valid values for <cite>key</cite> are in the <cite>keys</cite> attribute.</p>
<dl class="field-list simple">
<dt class="field-odd">Type</dt>
<dd class="field-odd"><p>dict of dict</p>
</dd>
</dl>
</dd></dl>

<dl class="py attribute">
<dt id="posydon.interpolation.interpolation.MISTInterpolator.keys">
<code class="sig-name descname">keys</code><a class="headerlink" href="#posydon.interpolation.interpolation.MISTInterpolator.keys" title="Permalink to this definition">¶</a></dt>
<dd><p>Contains valid keys for accessing the data.</p>
<dl class="field-list simple">
<dt class="field-odd">Type</dt>
<dd class="field-odd"><p>tuple of str</p>
</dd>
</dl>
</dd></dl>

<dl class="py method">
<dt id="posydon.interpolation.interpolation.MISTInterpolator.get">
<code class="sig-name descname">get</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">key</span></em>, <em class="sig-param"><span class="n">M_new</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/interpolation/interpolation.html#MISTInterpolator.get"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.interpolation.interpolation.MISTInterpolator.get" title="Permalink to this definition">¶</a></dt>
<dd><p>Performs linear interpolation between specific time-series.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>key</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#str" title="(in Python v3.9)"><em>str</em></a>) – The specific time-series described by the key.
Valid keys are in the <cite>keys</cite> attribute.</p></li>
<li><p><strong>M_new</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#float" title="(in Python v3.9)"><em>float</em></a>) – The associated initial mass
which time-series requires interpolation.</p></li>
</ul>
</dd>
<dt class="field-even">Returns</dt>
<dd class="field-even"><p>The interpolated ZAMS time-series specified by <cite>key</cite>
associated with the initial mass <cite>M_new</cite>.</p>
</dd>
<dt class="field-odd">Return type</dt>
<dd class="field-odd"><p>ndarray</p>
</dd>
</dl>
</dd></dl>

<dl class="py method">
<dt id="posydon.interpolation.interpolation.MISTInterpolator.get_masses_eepfiles">
<code class="sig-name descname">get_masses_eepfiles</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/interpolation/interpolation.html#MISTInterpolator.get_masses_eepfiles"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.interpolation.interpolation.MISTInterpolator.get_masses_eepfiles" title="Permalink to this definition">¶</a></dt>
<dd><p>Returns the masses of the eep files</p>
<dl class="field-list simple">
<dt class="field-odd">Returns</dt>
<dd class="field-odd"><p></p>
</dd>
<dt class="field-even">Return type</dt>
<dd class="field-even"><p>list of floats</p>
</dd>
</dl>
</dd></dl>

<dl class="py method">
<dt id="posydon.interpolation.interpolation.MISTInterpolator.load_eeps">
<code class="sig-name descname">load_eeps</code><span class="sig-paren">(</span><em class="sig-param"><span class="o">*</span><span class="n">args</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/interpolation/interpolation.html#MISTInterpolator.load_eeps"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.interpolation.interpolation.MISTInterpolator.load_eeps" title="Permalink to this definition">¶</a></dt>
<dd><p>Loads the requested data to <cite>eep_data</cite>.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><p><strong>*args</strong> – Associated initial masses
which corresponding data should be loaded.</p>
</dd>
</dl>
</dd></dl>

</dd></dl>

<dl class="py function">
<dt id="posydon.interpolation.interpolation.NNClassifierTrain">
<code class="sig-prename descclassname">posydon.interpolation.interpolation.</code><code class="sig-name descname">NNClassifierTrain</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">X</span></em>, <em class="sig-param"><span class="n">y</span></em>, <em class="sig-param"><span class="o">**</span><span class="n">opts</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/interpolation/interpolation.html#NNClassifierTrain"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.interpolation.interpolation.NNClassifierTrain" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py function">
<dt id="posydon.interpolation.interpolation.NNInterpolatorTrain">
<code class="sig-prename descclassname">posydon.interpolation.interpolation.</code><code class="sig-name descname">NNInterpolatorTrain</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">X</span></em>, <em class="sig-param"><span class="n">y</span></em>, <em class="sig-param"><span class="o">**</span><span class="n">opts</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/interpolation/interpolation.html#NNInterpolatorTrain"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.interpolation.interpolation.NNInterpolatorTrain" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py function">
<dt id="posydon.interpolation.interpolation.SGPInterp">
<code class="sig-prename descclassname">posydon.interpolation.interpolation.</code><code class="sig-name descname">SGPInterp</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">X</span></em>, <em class="sig-param"><span class="n">Y</span></em>, <em class="sig-param"><span class="o">**</span><span class="n">options</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/interpolation/interpolation.html#SGPInterp"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.interpolation.interpolation.SGPInterp" title="Permalink to this definition">¶</a></dt>
<dd><p>This function implements an interpolator based on sparse Gaussian process with stochastic inference (it uses inducing points).
Kernel and other method parameters can be passed in the dictionary</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>X</strong> (<a class="reference external" href="https://numpy.org/doc/stable/reference/generated/numpy.ndarray.html#numpy.ndarray" title="(in NumPy v1.20)"><em>numpy.ndarray</em></a>) – Data matrix for training, contains the input variables.</p></li>
<li><p><strong>Y</strong> (<a class="reference external" href="https://numpy.org/doc/stable/reference/generated/numpy.ndarray.html#numpy.ndarray" title="(in NumPy v1.20)"><em>numpy.ndarray</em></a>) – Column vector containing the training values for the interpolation.</p></li>
<li><p><strong>options</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#dict" title="(in Python v3.9)"><em>dict</em></a>) – Dictionary of parameters for SGP method. See tutorial for some possibilities.</p></li>
</ul>
</dd>
<dt class="field-even">Returns</dt>
<dd class="field-even"><p>Tuple with model and likelihood history</p>
</dd>
<dt class="field-odd">Return type</dt>
<dd class="field-odd"><p>(gpflow.models.SGPR, <a class="reference external" href="https://numpy.org/doc/stable/reference/generated/numpy.ndarray.html#numpy.ndarray" title="(in NumPy v1.20)">numpy.ndarray</a>)</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt id="posydon.interpolation.interpolation.SGPbinClass">
<code class="sig-prename descclassname">posydon.interpolation.interpolation.</code><code class="sig-name descname">SGPbinClass</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">X</span></em>, <em class="sig-param"><span class="n">y</span></em>, <em class="sig-param"><span class="o">**</span><span class="n">options</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/interpolation/interpolation.html#SGPbinClass"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.interpolation.interpolation.SGPbinClass" title="Permalink to this definition">¶</a></dt>
<dd><p>This function implements a sparse GP classifier with stochastic inference (it uses inducing points).
Kernel and other method parameters can be passed in the dictionary</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>X</strong> (<a class="reference external" href="https://numpy.org/doc/stable/reference/generated/numpy.ndarray.html#numpy.ndarray" title="(in NumPy v1.20)"><em>numpy.ndarray</em></a>) – Data matrix for training, contains the input variables.</p></li>
<li><p><strong>Y</strong> (<a class="reference external" href="https://numpy.org/doc/stable/reference/generated/numpy.ndarray.html#numpy.ndarray" title="(in NumPy v1.20)"><em>numpy.ndarray</em></a>) – Column vector containing the training values for the interpolation.</p></li>
<li><p><strong>options</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#dict" title="(in Python v3.9)"><em>dict</em></a>) – Dictionary of parameters for SGP method. See tutorial for some possibilities.</p></li>
</ul>
</dd>
<dt class="field-even">Returns</dt>
<dd class="field-even"><p>Tuple with model and likelihood history</p>
</dd>
<dt class="field-odd">Return type</dt>
<dd class="field-odd"><p>(gpflow.models.SGP, <a class="reference external" href="https://numpy.org/doc/stable/reference/generated/numpy.ndarray.html#numpy.ndarray" title="(in NumPy v1.20)">numpy.ndarray</a>)</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt id="posydon.interpolation.interpolation.fscale">
<code class="sig-prename descclassname">posydon.interpolation.interpolation.</code><code class="sig-name descname">fscale</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">u</span></em>, <em class="sig-param"><span class="n">lim</span><span class="o">=</span><span class="default_value">None</span></em>, <em class="sig-param"><span class="n">inv</span><span class="o">=</span><span class="default_value">False</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/interpolation/interpolation.html#fscale"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.interpolation.interpolation.fscale" title="Permalink to this definition">¶</a></dt>
<dd><p>Successively performs min-max rescaling on the last dimension of an array.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>u</strong> (<em>array_like</em>) – The array which last dimension requires min-max rescaling.</p></li>
<li><p><strong>lim</strong> (<em>sequence of tuple</em>) – The tuples have length 2 and contains the limits on
the min-max rescaling.
There should be one tuple for each array in the last dimension.</p></li>
<li><p><strong>inv</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#bool" title="(in Python v3.9)"><em>bool</em></a>) – If <cite>False</cite> then the standard min-max rescaling will be performed.
If <cite>True</cite> then the inverse min-max rescaling
to restore and array will be performed.</p></li>
</ul>
</dd>
<dt class="field-even">Returns</dt>
<dd class="field-even"><p>The rescaled/original array with the same shape as <cite>u</cite>.</p>
</dd>
<dt class="field-odd">Return type</dt>
<dd class="field-odd"><p>ndarray</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt id="posydon.interpolation.interpolation.inv_scaler">
<code class="sig-prename descclassname">posydon.interpolation.interpolation.</code><code class="sig-name descname">inv_scaler</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">x</span></em>, <em class="sig-param"><span class="n">xmin</span></em>, <em class="sig-param"><span class="n">xmax</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/interpolation/interpolation.html#inv_scaler"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.interpolation.interpolation.inv_scaler" title="Permalink to this definition">¶</a></dt>
<dd><p>Restores the original array of min-max rescaled array.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>x</strong> (<em>array_like</em>) – The array which have been min-max rescaled.</p></li>
<li><p><strong>xmin</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#float" title="(in Python v3.9)"><em>float</em></a>) – The lower limit of the min-max range.</p></li>
<li><p><strong>xmax</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#float" title="(in Python v3.9)"><em>float</em></a>) – The upper limit of the min-max range.</p></li>
</ul>
</dd>
<dt class="field-even">Returns</dt>
<dd class="field-even"><p>The original array of <cite>x</cite> that have been min-max rescaled.</p>
</dd>
<dt class="field-odd">Return type</dt>
<dd class="field-odd"><p>ndarray</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt id="posydon.interpolation.interpolation.linearInterpolator">
<code class="sig-prename descclassname">posydon.interpolation.interpolation.</code><code class="sig-name descname">linearInterpolator</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">X_train</span></em>, <em class="sig-param"><span class="n">y_train</span></em>, <em class="sig-param"><span class="n">x_scale</span><span class="o">=</span><span class="default_value">None</span></em>, <em class="sig-param"><span class="n">y_scale</span><span class="o">=</span><span class="default_value">None</span></em>, <em class="sig-param"><span class="n">log_scale</span><span class="o">=</span><span class="default_value">False</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/interpolation/interpolation.html#linearInterpolator"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.interpolation.interpolation.linearInterpolator" title="Permalink to this definition">¶</a></dt>
<dd><p>Short summary.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>xp</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#list" title="(in Python v3.9)"><em>list</em></a>) – e.g. [[1,2,3],[1,2,3],[1,2,3],[1,2,3],[1,2,3]] where the last entry is
the quantity we want to train the intepolator</p></li>
<li><p><strong>x</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#list" title="(in Python v3.9)"><em>list</em></a>) – e.g. [[1,2,3],[1,2,3],[1,2,3],[1,2,3]] point we want to interpolate</p></li>
</ul>
</dd>
<dt class="field-even">Returns</dt>
<dd class="field-even"><p>Return the linear interpolated quantity of DataToFit.</p>
</dd>
<dt class="field-odd">Return type</dt>
<dd class="field-odd"><p>array</p>
</dd>
</dl>
</dd></dl>

<dl class="py class">
<dt id="posydon.interpolation.interpolation.psyTrackInterp">
<em class="property">class </em><code class="sig-prename descclassname">posydon.interpolation.interpolation.</code><code class="sig-name descname">psyTrackInterp</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">path</span></em>, <em class="sig-param"><span class="n">in_keys</span><span class="o">=</span><span class="default_value">None</span></em>, <em class="sig-param"><span class="n">interp_in_q</span><span class="o">=</span><span class="default_value">False</span></em>, <em class="sig-param"><span class="n">verbose</span><span class="o">=</span><span class="default_value">False</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/interpolation/interpolation.html#psyTrackInterp"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.interpolation.interpolation.psyTrackInterp" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference external" href="https://docs.python.org/3/library/functions.html#object" title="(in Python v3.9)"><code class="xref py py-class docutils literal notranslate"><span class="pre">object</span></code></a></p>
<dl class="py method">
<dt id="posydon.interpolation.interpolation.psyTrackInterp.evaluate">
<code class="sig-name descname">evaluate</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">binary</span></em>, <em class="sig-param"><span class="n">print_dist</span><span class="o">=</span><span class="default_value">False</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/interpolation/interpolation.html#psyTrackInterp.evaluate"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.interpolation.interpolation.psyTrackInterp.evaluate" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt id="posydon.interpolation.interpolation.psyTrackInterp.load">
<code class="sig-name descname">load</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">filename</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/interpolation/interpolation.html#psyTrackInterp.load"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.interpolation.interpolation.psyTrackInterp.load" title="Permalink to this definition">¶</a></dt>
<dd><p>Load interpolation model. The loaded model can only be used for predictions.</p>
<dl class="simple">
<dt>filename<span class="classifier">str</span></dt><dd><p>path/name of pickle file to be loaded.</p>
</dd>
</dl>
</dd></dl>

<dl class="py method">
<dt id="posydon.interpolation.interpolation.psyTrackInterp.save">
<code class="sig-name descname">save</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">filename</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/interpolation/interpolation.html#psyTrackInterp.save"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.interpolation.interpolation.psyTrackInterp.save" title="Permalink to this definition">¶</a></dt>
<dd><p>Save complete interpolation model.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><p><strong>filename</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#str" title="(in Python v3.9)"><em>str</em></a>) – path/name of ‘.pkl’ file where the model will be saved.</p>
</dd>
</dl>
</dd></dl>

<dl class="py method">
<dt id="posydon.interpolation.interpolation.psyTrackInterp.train">
<code class="sig-name descname">train</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">method</span><span class="o">=</span><span class="default_value">'NearestNeighbor'</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/interpolation/interpolation.html#psyTrackInterp.train"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.interpolation.interpolation.psyTrackInterp.train" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="py function">
<dt id="posydon.interpolation.interpolation.scaler">
<code class="sig-prename descclassname">posydon.interpolation.interpolation.</code><code class="sig-name descname">scaler</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">x</span></em>, <em class="sig-param"><span class="n">xmin</span></em>, <em class="sig-param"><span class="n">xmax</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/interpolation/interpolation.html#scaler"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.interpolation.interpolation.scaler" title="Permalink to this definition">¶</a></dt>
<dd><p>Performs min-max scaling.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>x</strong> (<em>array_like</em>) – The array that requires min-max rescaling.</p></li>
<li><p><strong>xmin</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#float" title="(in Python v3.9)"><em>float</em></a>) – The lower limit of the range to scale.</p></li>
<li><p><strong>xmax</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#float" title="(in Python v3.9)"><em>float</em></a>) – The upper limit of the range to scale.</p></li>
</ul>
</dd>
<dt class="field-even">Returns</dt>
<dd class="field-even"><p>The rescaled array of <cite>x</cite>.</p>
</dd>
<dt class="field-odd">Return type</dt>
<dd class="field-odd"><p>ndarray</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt id="posydon.interpolation.interpolation.xval_indices">
<code class="sig-prename descclassname">posydon.interpolation.interpolation.</code><code class="sig-name descname">xval_indices</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">N</span></em>, <em class="sig-param"><span class="n">percent_test</span><span class="o">=</span><span class="default_value">0.15</span></em>, <em class="sig-param"><span class="n">labels</span><span class="o">=</span><span class="default_value">None</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/interpolation/interpolation.html#xval_indices"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.interpolation.interpolation.xval_indices" title="Permalink to this definition">¶</a></dt>
<dd><p>Function to perform Monte Carlo Cross Validation; stratified if labels are provided.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>N</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#int" title="(in Python v3.9)"><em>int</em></a>) – number of samples in the data set.</p></li>
<li><p><strong>percent_test</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#float" title="(in Python v3.9)"><em>float</em></a>) – Percentage of samples to be in the test sets. (0 &lt; percent_test &lt; 0.5)</p></li>
</ul>
</dd>
<dt class="field-even">Returns</dt>
<dd class="field-even"><p>1D int vectors containing the indices for train and test splits respectively.</p>
</dd>
<dt class="field-odd">Return type</dt>
<dd class="field-odd"><p>(np.ndarray, np.ndarray)</p>
</dd>
</dl>
</dd></dl>



           </div>
           
          </div>
          <footer>

  <hr/>

  <div role="contentinfo">
    <p>
        &#169; Copyright 2019, Tassos Fragkos.

    </p>
  </div>
    
    
    
    Built with <a href="https://www.sphinx-doc.org/">Sphinx</a> using a
    
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">theme</a>
    
    provided by <a href="https://readthedocs.org">Read the Docs</a>. 

</footer>
        </div>
      </div>

    </section>

  </div>
  

  <script type="text/javascript">
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script>

  
  
    
   

</body>
</html>